LEGO Harry Potter: Years 1-4 System Requirements

LEGO Harry Potter: Years 1-4 System Requirements (2020) - full specs, system checker and the gaming PC setup you need: Can I Run LEGO Harry Potter: Years 1-4?

These are the LEGO Harry Potter: Years 1-4 system requirements
(minimum)

  • Memory:4 GB
  • Graphics Card:AMD Radeon X1300
  • CPU:AMD Athlon XP 2200+
  • LEGO Harry Potter: Years 1-4 File Size:Unknown
  • OS:Windows XP/Vista

These are the LEGO Harry Potter: Years 1-4 system requirements
(recommended)

  • Memory:4 GB
  • Graphics Card:NVIDIA GeForce 8800 GT
  • LEGO Harry Potter: Years 1-4 CPU:AMD Athlon 64 X2 Dual Core 5600+
  • File Size:Unknown
  • OS:Windows XP/Vista

Automatically test your computer against LEGO Harry Potter: Years 1-4 system requirements. Check if your PC can run the game with our free, easy-to-use detection tool or enter your system manually.

Click here to see deals on recommended laptops under $1,000 that will run LEGO Harry Potter: Years 1-4 at Amazon

Can I Run LEGO Harry Potter: Years 1-4?

An AMD Athlon XP 2200+ CPU is required at a minimum to run LEGO® Harry Potter: Years 1-4. Whereas, an AMD Athlon 64 X2 Dual Core 5600+ is recommended in order to run it. LEGO® Harry Potter: Years 1-4 system requirements state that you will need at least 4 GB of RAM. Provided that you have at least an AMD Radeon X1300 graphics card you can play the game. Furthermore, an NVIDIA GeForce 8800 GT is recommended in order to run LEGO® Harry Potter: Years 1-4 with the highest settings.

LEGO Harry Potter: Years 1-4 will run on PC system with Windows XP/Vista and upwards.

Looking for an upgrade? Try our easy to use LEGO Harry Potter: Years 1-4 set up guides to find the best, cheapest cards. Filter for LEGO Harry Potter: Years 1-4 graphics card comparison and CPU compare. We'll help you find the best deal for the right gear to run the game.

LEGO Harry Potter: Years 1-4 System Requirements PC Graph - Can I Run LEGO Harry Potter: Years 1-4
LEGO Harry Potter: Years 1-4 System Requirements - Can You Run LEGO Harry Potter: Years 1-4?

Looking for ready made system? We have 1295 laptop computers in our database that can run LEGO Harry Potter: Years 1-4. We take over 757 gaming laptops under $1000. Check our full compare laptops chart for the right systems or these best deals we've picked out below.

LEGO Harry Potter: Years 1-4 System Requirements

Player Count

:
163 Players
(Last 24 Hours)

Review Score

:
79 / 100

Download

:
Via Steam

Developer

:
TT Games

Publisher

:
Warner Bros. Interactive Entertainment

Categories

:
Action Adventure

LEGO Harry Potter: Years 1-4 Release Date

:
25th of June 2010

What is LEGO Harry Potter: Years 1-4?

Build the adventure from Privet Drive to the Triwizard Tournament and experience the magic of the first four Harry Potter stories – LEGO style! Explore Hogwarts™ School of Witchcraft and Wizardry, learn spells, brew potions and relive the adventures like never before with tongue-in-cheek humor and creative customization that is unique to...

Free Steam Games Today

Laptop deals that will run LEGO Harry Potter: Years 1-4

Dell Inspiron 15|AMD Ryzen 5 2500U Mobile Proc W/Radeon Vega 8 Graphics|8Gb|256Gb|15.6-Inch FHD review
$499.00 (Save $44)
Ryzen 5 2500U
Radeon Vega 8
8 GB RAM
15.6 inches
Compatible laptops
under $500 (58)
Under $1000

HP 3UK57UA

Rating: 94%
HP 3UK57UA review
$999.97 (Save $279)
Core i7-8750H
GeForce GTX 1060
16 GB RAM
15.6 inches
Compatible laptops
under $1000 (757)
Under $1500

Omen by HP 2019 15-Inch

Rating: 99%
Omen by HP 2019 15-Inch review
$1471.99 (Save $191)
Core i7-9750H
GeForce RTX 2070
32 GB RAM
15.6 inches
Compatible laptops
under $1500 (295)